org.apache.olingo.server.api.deserializer.batch

## Class BatchDeserializerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.commons.api.ex.ODataException
      - - org.apache.olingo.server.api.ODataLibraryException
        - - org.apache.olingo.server.api.deserializer.DeserializerException
          - - org.apache.olingo.server.api.deserializer.batch.BatchDeserializerException

- All Implemented Interfaces:
    Serializable

      public class BatchDeserializerException
      extends DeserializerException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchDeserializerException.MessageKeys`

    - ### Nested classes/interfaces inherited from class org.apache.olingo.server.api.ODataLibraryException

      `ODataLibraryException.MessageKey, ODataLibraryException.ODataErrorMessage`

  - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.server.api.ODataLibraryException

      `DEFAULT_SERVER_BUNDLE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchDeserializerException(String developmentMessage, ODataLibraryException.MessageKey messageKey, String... parameters)` Creates batch deserializer exception.
    `BatchDeserializerException(String developmentMessage, Throwable cause, ODataLibraryException.MessageKey messageKey, String... parameters)` Creates batch deserializer exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.server.api.deserializer.DeserializerException

      `getBundleName`

    - ### Methods inherited from class org.apache.olingo.server.api.ODataLibraryException

      `getLocalizedMessage, getMessageKey, getTranslatedMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchDeserializerException

          public BatchDeserializerException(String developmentMessage,
                                            ODataLibraryException.MessageKey messageKey,
                                            String... parameters)

      Creates batch deserializer exception.
      Parameters:
        `developmentMessage` - message text as fallback and for debugging purposes
        `messageKey` - one of the `BatchDeserializerException.MessageKeys` for the exception text in the resource bundle
        `parameters` - parameters for the exception text

    - #### BatchDeserializerException

          public BatchDeserializerException(String developmentMessage,
                                            Throwable cause,
                                            ODataLibraryException.MessageKey messageKey,
                                            String... parameters)

      Creates batch deserializer exception.
      Parameters:
        `developmentMessage` - message text as fallback and for debugging purposes
        `cause` - the cause of this exception
        `messageKey` - one of the `BatchDeserializerException.MessageKeys` for the exception text in the resource bundle
        `parameters` - parameters for the exception text

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.